function dxdt = cstrODE(t,x,u)
%Product Dynamic Transitions Using a Derivative-Free Optimization Trust-Region Approach
%Israel Negrellos-Ortiz, Antonio Flores-Tlacuahuac, and Miguel Angel Gutirrez-Limn
%Industrial & Engineering Chemistry Research 2016 55 (31), 8586-8601
%DOI: 10.1021/acs.iecr.6b00268

dxdt=zeros(2,1);
dxdt(1) = (1-x(1))/20-300*exp(-5/x(2))*x(1);
dxdt(2) = (3.947e-1-x(2))/20+300*exp(-5/x(2))*x(1)-1.95e-4*(u*(480-125)+125)*(x(2)-3.816e-1);
end